/* Sky */

textures/rusty-b1/sky
{
	qer_editorimage textures/rusty-b1/sky/sky_arc_masked.tga
	
	q3map_sunExt 1 1 1 50 -50 62 2 1
	
	q3map_lightRGB 0.7 0.8 1.0
	q3map_lightmapFilterRadius 0 64
	q3map_skyLight 40 3
	
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	
	skyparms textures/rusty-b1/env/sky 512 -
	
	nopicmip
	nomipmaps
	
	{
		map textures/rusty-b1/sky/sky_clouds.tga
		tcMod scale 3 3
		tcMod scroll 0.005 -0.0125
		rgbGen identityLighting
	}
	{
		map textures/rusty-b1/sky/sky_arc_masked.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		tcMod transform 0.25 0 0 0.25 0.1075 0.1075
		rgbGen identityLighting
	}
}

/* tools */

textures/rusty-b1/sh_ladder
{
	qer_trans .5
	qer_editorimage textures/rusty-b1/ladder.jpg
	surfaceparm ladder
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
	surfaceparm metalsteps
}

/* plants */

textures/rusty-b1/sh_vine
{
	qer_editorimage textures/rusty-b1/vine.tga
	q3map_backShader textures/rusty-b1/sh_vine_back
	q3map_vertexScale 2
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_trans 0.99
	{
		map textures/rusty-b1/vine.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}

textures/rusty-b1/sh_vine_back
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/rusty-b1/vine.tga
		rgbGen const ( 0.2 0.2 0.2 )
		alphaFunc GE128		
	}	
}

textures/rusty-b1/sh_vine_01
{
	qer_editorimage textures/rusty-b1/vine01.tga
	q3map_backShader textures/rusty-b1/sh_vine_back_01
	q3map_vertexScale 2
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_trans 0.99
	{
		map textures/rusty-b1/vine01.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}

textures/rusty-b1/sh_vine_back_01
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/rusty-b1/vine01.tga
		rgbGen const ( 0.2 0.2 0.2 )
		alphaFunc GE128		
	}	
}

textures/rusty-b1/sh_vine_02
{
	qer_editorimage textures/rusty-b1/vine02.tga
	q3map_backShader textures/rusty-b1/sh_vine_back_02
	q3map_vertexScale 2
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_trans 0.99
	{
		map textures/rusty-b1/vine02.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}

textures/rusty-b1/sh_vine_back_02
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/rusty-b1/vine02.tga
		rgbGen const ( 0.2 0.2 0.2 )
		alphaFunc GE128		
	}	
}

textures/rusty-b1/sh_vine_03
{
	qer_editorimage textures/rusty-b1/vine03.tga
	q3map_backShader textures/rusty-b1/sh_vine_back_03
	q3map_vertexScale 2
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_trans 0.99
	{
		map textures/rusty-b1/vine03.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}

textures/rusty-b1/sh_vine_back_03
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/rusty-b1/vine03.tga
		rgbGen const ( 0.2 0.2 0.2 )
		alphaFunc GE128		
	}	
}

textures/rusty-b1/sh_vine_04
{
	qer_editorimage textures/rusty-b1/vine04.tga
	q3map_backShader textures/rusty-b1/sh_vine_back_04
	q3map_vertexScale 2
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_trans 0.99
	{
		map textures/rusty-b1/vine04.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}

textures/rusty-b1/sh_vine_back_04
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/rusty-b1/vine04.tga
		rgbGen const ( 0.2 0.2 0.2 )
		alphaFunc GE128		
	}	
}

textures/rusty-b1/sh_vine_05
{
	qer_editorimage textures/rusty-b1/vine05.tga
	q3map_backShader textures/rusty-b1/sh_vine_back_05
	q3map_vertexScale 2
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_trans 0.99
	{
		map textures/rusty-b1/vine05.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}

textures/rusty-b1/sh_vine_back_05
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/rusty-b1/vine05.tga
		rgbGen const ( 0.2 0.2 0.2 )
		alphaFunc GE128		
	}	
}

textures/rusty-b1/sh_vine_06
{
	qer_editorimage textures/rusty-b1/vine06.tga
	q3map_backShader textures/rusty-b1/sh_vine_back_06
	q3map_vertexScale 2
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_trans 0.99
	{
		map textures/rusty-b1/vine06.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}

textures/rusty-b1/sh_vine_back_06
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/rusty-b1/vine06.tga
		rgbGen const ( 0.2 0.2 0.2 )
		alphaFunc GE128		
	}	
}

/* Grates */

textures/rusty-b1/fence_shadow
{
	qer_trans .32
	qer_editorimage textures/rusty-b1/fence_shadow.tga
	surfaceparm trans
	surfaceparm alphashadow		
	cull none
	nopicmip
	noMipMaps
	{
		map textures/rusty-b1/fence_shadow.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}


/* Grates */
textures/rusty-b1/grate_01
{
	qer_trans .32
	qer_editorimage textures/rusty-b1/eX_floor_grate03_d.tga 
	surfaceparm	metalsteps
	surfaceparm trans
	surfaceparm alphashadow
	cull none
    nopicmip
	noMipMaps
	{
		map textures/rusty-b1/eX_floor_grate03_d.tga 
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/rusty-b1/grate_02
{
	qer_trans .32
	qer_editorimage textures/rusty-b1/eX_floor_mtl_grate_01_d.tga
	surfaceparm	metalsteps
	surfaceparm trans
	surfaceparm alphashadow
	cull none
    nopicmip
	noMipMaps
	{
		map textures/rusty-b1/eX_floor_mtl_grate_01_d.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}


/* Computers */
textures/rusty-b1/pk01_panel_small01_d
{
  qer_editorimage textures/rusty-b1/pk01_panel_small01_d.tga
  q3map_surfacelight 100
  {
    map textures/rusty-b1/pk01_panel_small01_d.tga
  }
  {
    map $lightmap 
    blendfunc filter
    tcGen lightmap 
  }
  {
    map textures/rusty-b1/pk01_panel_small01_add.tga
    blendfunc add
  }
}

textures/rusty-b1/pk01_panel_small02_d
{
  qer_editorimage textures/rusty-b1/pk01_panel_small02_d.tga
  q3map_surfacelight 100
  {
    map textures/rusty-b1/pk01_panel_small02_d.tga
  }
  {
    map $lightmap 
    blendfunc filter
    tcGen lightmap 
  }
  {
    map textures/rusty-b1/pk01_panel_small02_add.tga
    blendfunc add
  }
}

textures/rusty-b1/pk01_panel01a_d
{
  qer_editorimage textures/rusty-b1/pk01_panel01a_d.tga
  q3map_surfacelight 50
  {
    map textures/rusty-b1/pk01_panel01a_d.tga
  }
  {
    map $lightmap 
    blendfunc filter
    tcGen lightmap 
  }
  {
    map textures/rusty-b1/pk01_panel01a_add.tga
    blendfunc add
  }
}

textures/rusty-b1/pk01_panel01b_d
{
  qer_editorimage textures/rusty-b1/pk01_panel01b_d.tga
  q3map_surfacelight 50
  {
    map textures/rusty-b1/pk01_panel01b_d.tga
  }
  {
    map $lightmap 
    blendfunc filter
    tcGen lightmap 
  }
  {
    map textures/rusty-b1/pk01_panel01b_add.tga
    blendfunc add
  }
}

textures/rusty-b1/pk01_panel02_d
{
  qer_editorimage textures/rusty-b1/pk01_panel02_d.tga
  q3map_surfacelight 50
  {
    map textures/rusty-b1/pk01_panel02_d.tga
  }
  {
    map $lightmap 
    blendfunc filter
    tcGen lightmap 
  }
  {
    map textures/rusty-b1/pk01_panel02_add.tga
    blendfunc add
  }
}

textures/rusty-b1/pk01_panel02a_d
{
  qer_editorimage textures/rusty-b1/pk01_panel02a_d.tga
  q3map_surfacelight 50
  {
    map textures/rusty-b1/pk01_panel02a_d.tga
  }
  {
    map $lightmap 
    blendfunc filter
    tcGen lightmap 
  }
  {
    map textures/rusty-b1/pk01_panel02a_add.tga
    blendfunc add
  }
}

textures/rusty-b1/pk01_panel03a_d
{
  qer_editorimage textures/rusty-b1/pk01_panel03a_d.tga
  q3map_surfacelight 50
  {
    map textures/rusty-b1/pk01_panel03a_d.tga
  }
  {
    map $lightmap 
    blendfunc filter
    tcGen lightmap 
  }
  {
    map textures/rusty-b1/pk01_panel03a_add.tga
    blendfunc add
  }
}

textures/rusty-b1/pk01_panel03b_d
{
  qer_editorimage textures/rusty-b1/pk01_panel03b_d.tga
  q3map_surfacelight 50
  {
    map textures/rusty-b1/pk01_panel03b_d.tga
  }
  {
    map $lightmap 
    blendfunc filter
    tcGen lightmap 
  }
  {
    map textures/rusty-b1/pk01_panel03b_add.tga
    blendfunc add
  }
}

/* Lights */

textures/rusty-b1/l-light-00-5K
{
  qer_editorimage textures/rusty-b1/lights/light00.jpg
  surfaceparm nomarks
  q3map_surfacelight 5000
  {
    map textures/rusty-b1/lights/light00.jpg
  }
  {
    map $lightmap 
    blendfunc filter
    tcGen lightmap 
  }
  {
    map textures/rusty-b1/lights/light00b.jpg
    blendfunc add
  }
}

textures/rusty-b1/l-e8tiny-1K
{
	qer_editorimage textures/rusty-b1/lights/e8tinylight.tga
	q3map_lightimage textures/rusty-b1/lights/e8tinylight.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	{
		map textures/rusty-b1/lights/e8tinylight.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/rusty-b1/lights/e8tinylight.blend.tga
		blendfunc add
	}
}

textures/rusty-b1/l-e8tiny-1500
{
	qer_editorimage textures/rusty-b1/lights/e8tinylight.tga
	q3map_lightimage textures/rusty-b1/lights/e8tinylight.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 1500
	{
		map textures/rusty-b1/lights/e8tinylight.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/rusty-b1/lights/e8tinylight.blend.tga
		blendfunc add
	}
}

textures/rusty-b1/l-e8tiny-2K
{
	qer_editorimage textures/rusty-b1/lights/e8tinylight.tga
	q3map_lightimage textures/rusty-b1/lights/e8tinylight.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	{
		map textures/rusty-b1/lights/e8tinylight.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/rusty-b1/lights/e8tinylight.blend.tga
		blendfunc add
	}
}

textures/rusty-b1/l-e8tiny-3K
{
	qer_editorimage textures/rusty-b1/lights/e8tinylight.tga
	q3map_lightimage textures/rusty-b1/lights/e8tinylight.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 3000
	{
		map textures/rusty-b1/lights/e8tinylight.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/rusty-b1/lights/e8tinylight.blend.tga
		blendfunc add
	}
}

textures/rusty-b1/l-e8tiny-4K
{
	qer_editorimage textures/rusty-b1/lights/e8tinylight.tga
	q3map_lightimage textures/rusty-b1/lights/e8tinylight.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 4000
	{
		map textures/rusty-b1/lights/e8tinylight.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/rusty-b1/lights/e8tinylight.blend.tga
		blendfunc add
	}
}

textures/rusty-b1/l-e8tiny-5K
{
	qer_editorimage textures/rusty-b1/lights/e8tinylight.tga
	q3map_lightimage textures/rusty-b1/lights/e8tinylight.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 5000
	{
		map textures/rusty-b1/lights/e8tinylight.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/rusty-b1/lights/e8tinylight.blend.tga
		blendfunc add
	}
}

textures/rusty-b1/l-e8tiny-6K
{
	qer_editorimage textures/rusty-b1/lights/e8tinylight.tga
	q3map_lightimage textures/rusty-b1/lights/e8tinylight.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 6000
	{
		map textures/rusty-b1/lights/e8tinylight.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/rusty-b1/lights/e8tinylight.blend.tga
		blendfunc add
	}
}

textures/rusty-b1/l-e8tiny-7K
{
	qer_editorimage textures/rusty-b1/lights/e8tinylight.tga
	q3map_lightimage textures/rusty-b1/lights/e8tinylight.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 7000
	{
		map textures/rusty-b1/lights/e8tinylight.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/rusty-b1/lights/e8tinylight.blend.tga
		blendfunc add
	}
}

textures/rusty-b1/l-e8tiny-10K
{
	qer_editorimage textures/rusty-b1/lights/e8tinylight.tga
	q3map_lightimage textures/rusty-b1/lights/e8tinylight.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 10000
	{
		map textures/rusty-b1/lights/e8tinylight.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/rusty-b1/lights/e8tinylight.blend.tga
		blendfunc add
	}
}

textures/rusty-b1/l-e8tinyblue-500
{
	qer_editorimage textures/rusty-b1/lights/e8tinylightblue.tga
	surfaceparm nomarks
	q3map_surfacelight 500
	{
		map textures/rusty-b1/lights/e8tinylightblue.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/rusty-b1/lights/e8tinylightblue.blend.tga
		blendfunc add
	}
}

textures/rusty-b1/l-e8tinyblue-1K
{
	qer_editorimage textures/rusty-b1/lights/e8tinylightblue.tga
	surfaceparm nomarks
	q3map_surfacelight 950
	{
		map textures/rusty-b1/lights/e8tinylightblue.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/rusty-b1/lights/e8tinylightblue.blend.tga
		blendfunc add
	}
}

textures/rusty-b1/l-e8minitrim-250
{
	qer_editorimage textures/rusty-b1/lights/e8minitrimlight.tga
	q3map_lightimage textures/rusty-b1/lights/e8minitrimlight.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 250
	{
		map textures/rusty-b1/lights/e8minitrimlight.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/rusty-b1/lights/e8minitrimlight.blend.tga
		blendfunc add
	}
}

textures/rusty-b1/l-e8minitrim-500
{
	qer_editorimage textures/rusty-b1/lights/e8minitrimlight.tga
	q3map_lightimage textures/rusty-b1/lights/e8minitrimlight.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 500
	{
		map textures/rusty-b1/lights/e8minitrimlight.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/rusty-b1/lights/e8minitrimlight.blend.tga
		blendfunc add
	}
}

textures/rusty-b1/l-e8_rlight-1K
{
	qer_editorimage textures/rusty-b1/lights/e8_rlight.tga
	q3map_lightimage textures/rusty-b1/lights/e8_rlight.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 950
	{
		map textures/rusty-b1/lights/e8_rlight.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/rusty-b1/lights/e8_rlight.blend.tga
		blendfunc add
	}
}

textures/rusty-b1/l-e8tmtl-1K
{
	qer_editorimage textures/rusty-b1/lights/e8tmtllight.tga
	q3map_lightimage textures/rusty-b1/lights/e8tmtllight.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 950
	{
		map textures/rusty-b1/lights/e8tmtllight.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/rusty-b1/lights/e8tmtllight.blend.tga
		blendfunc add
	}
}

textures/rusty-b1/l-e8tmtl2-1K
{
	qer_editorimage textures/rusty-b1/lights/e8tmtllight2.tga
	q3map_lightimage textures/rusty-b1/lights/e8tmtllight2.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 950
	{
		map textures/rusty-b1/lights/e8tmtllight2.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/rusty-b1/lights/e8tmtllight2.blend.tga
		blendfunc add
	}
}

textures/rusty-b1/l-e8tmtl2b-1K
{
	qer_editorimage textures/rusty-b1/lights/e8tmtllight2b.tga
	q3map_lightimage textures/rusty-b1/lights/e8tmtllight2b.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 950
	{
		map textures/rusty-b1/lights/e8tmtllight2b.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/rusty-b1/lights/e8tmtllight2b.blend.tga
		blendfunc add
	}
}

/* Floor */
textures/rusty-b1/eX_clangfloor_01_d
{
	qer_editorimage textures/rusty-b1/eX_clangfloor_01_d.tga
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/rusty-b1/eX_clangfloor_01_d.tga
		blendFunc filter
	}
}
textures/rusty-b1/eX_clangfloor_01b_d
{
	qer_editorimage textures/rusty-b1/eX_clangfloor_01b_d.tga
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/rusty-b1/eX_clangfloor_01b_d.tga
		blendFunc filter
	}
}

textures/rusty-b1/shiny_floor_1
{
	qer_editorimage textures/rusty-b1/eX_clangfloor_01_d.tga
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/rusty-b1/eX_clangfloor_01_d.tga
		blendFunc filter
	}
	{
		map $whiteimage
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		detail
		alphaGen lightingSpecular
	}
	{
		map textures/rusty-b1/fx/fog.jpg
		blendFunc GL_DST_COLOR GL_ONE
		detail
		tcGen environment
	}
}

/* Glass */
textures/rusty-b1/glass-common
{
	qer_trans .64
	qer_editorimage textures/rusty-b1/glass.jpg
	// i suppose we need some mark on glass, lol =}
	// surfaceparm nomarks
	surfaceparm trans
	// instagib addon
	surfaceparm surf_glass
	{
		map textures/rusty-b1/glass.jpg
		blendfunc add
		rgbGen const ( 0.1 0.1 0.1 )
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_src_alpha
		rgbGen identity
		tcGen lightmap 
	}
}

